diff --git a/services/jni/onload.cpp b/services/jni/onload.cpp
index 4178039..49240f4 100644
--- a/services/jni/onload.cpp
+++ b/services/jni/onload.cpp
@@ -33,6 +33,7 @@ int register_android_server_VibratorService(JNIEnv* env);
 int register_android_server_SystemServer(JNIEnv* env);
 int register_android_server_location_GpsLocationProvider(JNIEnv* env);
 int register_android_server_connectivity_Vpn(JNIEnv* env);
+int register_android_server_AquiferService(JNIEnv* env);
 };
 
 using namespace android;
@@ -61,6 +62,6 @@ extern "C" jint JNI_OnLoad(JavaVM* vm, void* reserved)
     register_android_server_SystemServer(env);
     register_android_server_location_GpsLocationProvider(env);
     register_android_server_connectivity_Vpn(env);
-
+    register_android_server_AquiferService(env);
     return JNI_VERSION_1_4;
 }
-- 
1.7.9.5

